//  
//   Rebex Sample Code License
// 
//   Copyright 2024, REBEX CR s.r.o.
//   All rights reserved.
//   https://www.rebex.net/
// 
//   Permission to use, copy, modify, and/or distribute this software for any
//   purpose with or without fee is hereby granted.
// 
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
//   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
//   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
//   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
//   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//   OTHER DEALINGS IN THE SOFTWARE.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Rebex.Samples
{
    /// <summary>
    /// A general message dialog.
    /// </summary>
    public partial class GeneralDialog : Form
    {
        /// <summary>
        /// Initializes a new instance of the dialog.
        /// </summary>
        /// <param name="message">Message to display.</param>
        public GeneralDialog(string message)
        {
            InitializeComponent();

            labelInfo.Text = message;
        }

        /// <summary>
        /// Displays a dialog with the specified message.
        /// </summary>
        /// <param name="owner">Owner of the dialog.</param>
        /// <param name="message">Message to display.</param>
        /// <returns>Dialog result.</returns>
        public static DialogResult ShowDialog(Control owner, string message)
        {
            GeneralDialog dialog = new GeneralDialog(message);
            return dialog.ShowDialog(owner);
        }
    }
}